Name:		ArpON
Version:	2.7
Release:	10%{?dist}
Summary:	ARP handler inspection

License:	BSD
URL:		http://arpon.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/arpon/arpon/ArpON-%{version}/ArpON-%{version}.tar.gz
Patch0:		arpon.8.patch

BuildRequires:	libpcap-devel
BuildRequires:	cmake
BuildRequires:	libnet-devel
BuildRequires:	libdnet-devel

%description
ArpON is a portable handler daemon. It has a lot of features and it makes
ARP a bit safer. It uses static ARP inspection and dynamic ARP inspection
as two kinds of anti ARP poisoning techniques.

%prep
%setup -q
cd man8
%patch0 -p3

%build
%{__cmake} .
%{__make} %{?_smp_mflags} CFLAGS="%{optflags}"

%install
%{__install} -D -pm 755 src/arpon %{buildroot}%{_sbindir}/arpon
%{__install} -D -pm 644 man8/arpon.8 %{buildroot}%{_mandir}/man8/arpon.8

%files
%doc AUTHOR CHANGELOG LICENSE doc/*
%{_sbindir}/arpon
%{_mandir}/man8/arpon.8*

%changelog
* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Oct 07 2014 Fabian Affolter <mail@fabian-affolter.ch> - 2.7-9
- Update spec file

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jan 06 2013 Arun S A G <sagarun@gmail.com> - 2.7-4
- Bug:856179 Fix spelling mistakes in man page
 
* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Mar 30 2012 Jon Ciesla <limburgher@gmail.com> - 2.7-2
- libnet rebuild.

* Sat Jan 21 2012 Arun SAG <sagarun@gmail.com> - 2.7-1
- Updated to latest upstream version 2.7
- Remove explicit requires on libraries

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Jul 31 2011 Arun SAG <sagarun [AT] gmail dot com> - 2.6-2
- Fix broken deps

* Sun Jul 17 2011 Arun SAG <sagarun [AT] gmail dot com> - 2.6-1
- Updated to version 2.6

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.90-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Apr 02 2010 Arun SAG <sagarun [AT] gmail dot com> -  1.90-7
- Bumping release to fix previous CVS commit.

* Thu Mar 25 2010 Arun SAG <sagarun [AT] gmail dot com> - 1.90-6
- Bumping release to fix previous CVS commit.

* Tue Mar 9 2010 Arun SAG <sagarun [AT] gmail dot com> - 1.90-5
- Fixed mixed usage of capital letters and period in changelog. 
- Fixed install so that arpon.8 gets copied in correct directory.

* Sun Mar 7 2010 Arun SAG <sagarun [AT] gmail dot com> - 1.90-4
- Optflags used instead of RPM_OPT_FLAGS.
- Man dir corrected.

* Wed Jan 13 2010 Arun SAG <sagarun [AT] gmail dot com> - 1.90-3
- Source URL fixed.
- Install part rewrittern.

* Sat Jan 2 2010 Arun SAG <sagarun [AT] gmail dot com> - 1.90-2
- Removed insignificant INSTALL file from binary package.
- Changed build section to  use Fedora project flags.

* Sat Dec 20 2009 Arun SAG <sagarun [AT] gmail dot com> - 1.90-1
- My initial release.

* Tue Dec 01 2009 Sandro Mathys <red at fedoraproject.org> - 1.90-1
- Initial build.
